//
// Deferred Shading pass 1
//

varying	vec3 pos;
varying	vec3 n;

uniform sampler2D	diffMap;

void main (void)
{
	vec3	n2   = normalize ( n );
	
	gl_FragData [0] = vec4 ( pos, gl_FragCoord.z );
	gl_FragData [1] = vec4 ( n, 1.0 );
	gl_FragData [2] = texture2D ( diffMap, gl_TexCoord [0].xy );
}
